Mercury API
CmdRaw Method (timeout, message)
Namespaces ► ThingMagic ► SerialReader ► CmdRaw(Int32, array<Byte>[]()[])
Send a raw message to the serial reader.@throws ReaderCommException in the event of a timeout (failure to receive a complete message in the specified time) or a CRC error.Does not generate exceptions for non-zero status responses.This function not intended for general use.If you really need to use raw reader commands, see the source for further instructions.
Declaration Syntax

C# | Visual Basic | Visual C++

    public byte[] CmdRaw(
    	int timeout,
    	params byte[] message
    )

    Public Function CmdRaw ( _
    	timeout As Integer, _
    	ParamArray message As Byte() _
    ) As Byte()

    public:
    array<unsigned char>^ CmdRaw(
    	int timeout,
    	... array<unsigned char>^ message
    )

Parameters

timeout (Int32)
  the duration in milliseconds to wait for a response

message (array< Byte >[]()[])
  The bytes of the message to send to the reader,starting with the opcode. The message header, length, and trailing CRC are not included. The message can not be empty, or longer than 251 bytes.

Return Value
The bytes of the response, from the opcode to the end of the message. Header, length, and CRC are not included.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)